REM
REM This file is part of the "Dice" tool
REM Copyright (C) Mateusz Viste 2010
REM

DIM SHARED AS UBYTE DiceImage(1 TO 6, 1 TO 81) => {{0,1,1,1,1,1,1,1,0,_  ' 1
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,1,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0},_
                                                   {0,1,1,1,1,1,1,1,0,_  ' 2
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,1,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,1,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0},_
                                                   {0,1,1,1,1,1,1,1,0,_  ' 3
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,1,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0},_
                                                   {0,1,1,1,1,1,1,1,0,_  ' 4
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0},_
                                                   {0,1,1,1,1,1,1,1,0,_  ' 5
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,0,0,1,0,0,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0},_
                                                   {0,1,1,1,1,1,1,1,0,_  ' 6
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    1,0,1,0,0,0,1,0,1,_
                                                    1,0,0,0,0,0,0,0,1,_
                                                    0,1,1,1,1,1,1,1,0}}


SUB LoadDice()
  DIM AS UBYTE x, y, z, t, pagenum
  FOR pagenum = 1 TO 6
    SCREENSET pagenum, 0
    SCREENLOCK
    FOR y = 1 TO 9
      FOR x = 1 TO 9
        FOR z = 0 TO (Scaling - 1)
          FOR t = 0 TO (Scaling - 1)
            PSET ((x * Scaling) + z, (y * Scaling) + t), DiceImage(pagenum, ((y - 1) * 9) + x)
          NEXT t
        NEXT z
      NEXT x
    NEXT y
    SCREENUNLOCK
  NEXT pagenum
END SUB
